## fluidsynth-dmo 2.5.0

=== debian/changelog ===
fluidsynth-dmo (1:2.5.0-dmo3~bpo13+1) trixie-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2025 08:55:30 +0200

fluidsynth-dmo (1:2.5.0-dmo3) unstable; urgency=medium

  * Don't build with -Dosal=cpp11 This option disable LADSPA support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Oct 2025 09:09:07 +0200

fluidsynth-dmo (1:2.5.0-dmo2) unstable; urgency=medium

  * Should Build-Depends on libgcem-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Oct 2025 08:36:08 +0200

fluidsynth-dmo (1:2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove fluidsynth as libfluidsynth-dev dependency

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Oct 2025 02:28:00 +0200

fluidsynth (2.4.8+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.8+dfsg

 -- Dennis Braun <snd@debian.org>  Thu, 02 Oct 2025 18:44:21 +0200

fluidsynth (2.4.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * debian/control: Fix Depends after Build-Depends change (Closes: #1111294)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Aug 2025 22:26:34 +0200

fluidsynth (2.4.7+dfsg-1) unstable; urgency=medium

  * Set the default samplerate to 48000 and buffer size to 512 in the
    service config file (Closes: #1075976, #1105956).
  * New upstream version 2.4.7+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Thu, 14 Aug 2025 09:55:25 +0200

fluidsynth (2.4.6+dfsg-1) experimental; urgency=medium

  * New upstream version 2.4.6+dfsg
  * Build with SDL3 instead of SDL2
  * Install the newly added tmpfiles config
  * Upload to experimental

 -- Fabian Greffrath <fabian@debian.org>  Thu, 08 May 2025 15:35:43 +0200

fluidsynth (2.4.4+dfsg-1) unstable; urgency=high

  * New upstream version 2.4.4+dfsg
    + Fix ordering and dependencies of fluidsynth's systemd service
      (Closes: #1053245)
    + Revise fluidsynth's man page (Closes: #1099773)
    + The CMake variable FLUID_HOST_COMPILER has been superseded by
      the Autools convention of using environment variables like
      CC_FOR_BUILD and friends
  * Remove patch applied upstream introducing support for the
    *_FOR_BUILD environment variables
  * Update libfluidsynth3.symbols file
  * urgency=high for the RC bug fix

 -- Fabian Greffrath <fabian@debian.org>  Mon, 17 Mar 2025 17:26:20 +0100

fluidsynth (2.4.3+dfsg-4) unstable; urgency=medium

  * Mark the fluidsynth package as Multi-Arch: foreign and let the
    libfluidsynth-dev package depend on it. This is required when
    using cmake.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 28 Feb 2025 09:12:18 +0100

fluidsynth (2.4.3+dfsg-3) unstable; urgency=medium

  * Replace non-functional cross-building patch with one that applies
    *_FOR_BUILD flags to the native build
  * Include buildtools.mk in debian/rules
  * Remove the Breaks relations against soundfont packages
    (Closes: #934074)
  * Bump Standards-Version to 4.7.1

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Feb 2025 10:08:58 +0100

fluidsynth (2.4.3+dfsg-2) unstable; urgency=medium

  * Update my Debian packaging copyright
  * Append CPPFLAGS to CFLAGS for the gentables build
  * Add new symbols to libfluidsynth3.symbols file

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 14:29:00 +0100

fluidsynth (2.4.3+dfsg-1) unstable; urgency=medium

  * Repack upstream tarball without the test-android/ directory
    (contains a prebuilt Java class file)
  * Only unset compiler flags for gentables if cross-compilation is
    detected
  * New upstream version 2.4.3+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 12:51:58 +0100

fluidsynth (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Add myself to Uploaders
  * Explicitly build with SDL2 support

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 08:35:27 +0100

fluidsynth (2.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Limit pipewire support only to Linux architectures

  [ Fabian Greffrath ]
  * New upstream version 2.4.2

 -- Fabian Greffrath <fabian@debian.org>  Fri, 03 Jan 2025 22:24:59 +0100

fluidsynth (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update libfluidsynth3.symbols

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 19:28:14 +0100

fluidsynth (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
  * Bump Standards-Version to 4.7.0
  * Use default salsa ci config

 -- Dennis Braun <snd@debian.org>  Sat, 17 Aug 2024 14:30:15 +0200

fluidsynth (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 16:10:22 +0200

fluidsynth (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4

 -- Dennis Braun <snd@debian.org>  Wed, 27 Sep 2023 20:01:10 +0200

fluidsynth (2.3.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup previous upload, also runtime depend on libpipewire-0.3-dev,
    on libfluidsynth-dev (Closes: #1051819)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 07:22:04 +0200

fluidsynth (2.3.3-2) unstable; urgency=medium

  * Team upload.
  * Enable pipewire support (Closes: #1051819).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 12 Sep 2023 20:52:50 -0400

fluidsynth (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
  * Bump d/copyright years
  * d/watch: Use @ARCHIVE_EXT@

 -- Dennis Braun <snd@debian.org>  Sun, 18 Jun 2023 18:50:51 +0200

fluidsynth (2.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Dennis Braun ]
  * New upstream version 2.3.2
  * Drop MIDI files patch applied by upstream
  * Refresh symbols

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:38:51 +0200

fluidsynth (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix seamless looping between MIDI
    files.


