=== debian/control ===
Source: fluidsynth-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/Fluidsynth/fluidsynth
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake,
 ladspa-sdk,
 libasound2-dev,
 libdbus-1-dev,
 libgcem-dev,
 libjack-dev | libjack-jackd2-dev,
 libpipewire-0.3-dev,
 libpulse-dev,
 libreadline-dev,
 libsdl3-dev,
 libsndfile-dev,
 libsystemd-dev,
 ninja-build,
 libglib2.0-dev,

Package: fluidsynth
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: iiwusynth,
Replaces: iiwusynth,
Provides: iiwusynth,
Recommends: qsynth,
Description: Real-time MIDI software synthesizer
 Fluidsynth is a real-time midi synthesizer based on the soundfont (sf2 and sf3)
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.

Package: libfluidsynth3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, timgm6mb-soundfont (>= 1.3-3~) | sf3-soundfont-gm
Description: Real-time MIDI software synthesizer (runtime library)
 Fluidsynth is a real-time midi synthesizer based on the soundfont (sf2 and sf3)
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the runtime library.

Package: libfluidsynth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfluidsynth3 (= ${binary:Version}), ${misc:Depends}, libasound2-dev,
 libdbus-1-dev, libjack-dev | libjack-jackd2-dev, libreadline-dev, libsndfile-dev,
 libpipewire-0.3-dev, libpulse-dev, libreadline-dev, libsdl3-dev, libsystemd-dev,
 libglib2.0-dev,
Description: Real-time MIDI software synthesizer (development files)
 Fluidsynth is a real-time midi synthesizer based on the soundfont (sf2 and sf3)
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the development files.
