## fluidsynth-dmo 2.5.1

=== debian/changelog ===
fluidsynth-dmo (1:2.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 31 Oct 2025 15:34:40 +0100
