## fluidsynth-dmo 2.5.2

=== debian/changelog ===
fluidsynth-dmo (1:2.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Dec 2025 01:11:19 +0100
