=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 	-D FLUID_DAEMON_ENV_FILE=/etc/default/fluidsynth \
 	$(EXTRA_CONFIGURE_ARGS)
 
-##	-D osal=cpp11 \
-
 #	exit 1
 
 execute_after_dh_install:
@@ -35,4 +33,7 @@
 	mv debian/fluidsynth/usr/lib/tmpfiles.d/fluidsynth.tmpfiles \
 	   debian/fluidsynth/usr/lib/tmpfiles.d/fluidsynth.conf
 
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable
+
 override_dh_auto_test:
