=== debian/changelog ===
fluidsynth-dmo (1:2.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Feb 2026 00:17:35 +0100
