=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: fluidsynth-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/Fluidsynth/fluidsynth
