=== debian/watch ===
Version: 5

Template: Github
Owner: Fluidsynth
Project: fluidsynth
